Narzędzie: create_label
Tworzy nową etykietę na koncie Gmail uwierzytelnionego użytkownika.
Poniższy przykład pokazuje, jak za pomocą znaku curl wywołać narzędzie create_label MCP.
| Żądanie curl |
|---|
curl --location 'https://gmailmcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "create_label", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Schemat wejściowy
Wiadomość żądania dla RPC CreateLabel.
CreateLabelRequest
| Zapis JSON |
|---|
{ "displayName": string } |
| Pola | |
|---|---|
displayName |
Wymagane. Wyświetlana nazwa etykiety do utworzenia. |
Schemat wyjściowy
Szczegóły etykiety.
Etykieta
| Zapis JSON |
|---|
{ "labelId": string, "name": string } |
| Pola | |
|---|---|
labelId |
Unikalny identyfikator etykiety. |
name |
Wyświetlana nazwa etykiety w formie czytelnej dla ludzi. |
Adnotacje narzędzi
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌